手动更新wget到1.19版本

手动更新wget到1.19版本

通过yum安装的wget版本比较低,不支持--accept-regex参数,这对采集网站数据来讲是莫大的悲哀。所以必须升级到高版本(1.19支持),方便shell简单采集时过滤url

yum install -y gnutls gnutls-devel
wget http://ftp.gnu.org/gnu/wget/wget-1.19.tar.gz
tar -xvzf  wget-1.19.tar.gz
cd wget-1.19
./configure
make && make install
mv /usr/bin/wget /usr/bin/wget.old
ln -s /usr/local/bin/wget /usr/bin/wget